Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Installation (dependency) problem under Eclipse 3.6
Installation (dependency) problem under Eclipse 3.6 [message #532337] Sat, 08 May 2010 09:50 Go to next message
Kai Schlamp is currently offline Kai Schlamp
Messages: 344
Registered: July 2009
Senior Member
Hy.

I tried to install Egit from the recommended update site under Eclipse 3.6 (latest Milestone). But some dependencies couldn't be resolved:

An error occurred while collecting items to be installed
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.slf4j.api,1.5.11.v20100419-1106

Any suggestions what repo to add?

Best regards,
Kai
Re: Installation (dependency) problem under Eclipse 3.6 [message #532984 is a reply to message #532337] Tue, 11 May 2010 14:32 Go to previous messageGo to next message
Jonathan Gossage is currently offline Jonathan Gossage
Messages: 31
Registered: March 2010
Member
I was able to do a clean install of Eclipse 3.6M7 Helios RCP bundle under Linux 32 bit. This includes Jgit and Egit in the bundle. I was also able to do a clean install of the Eclipse SDK 3.6M7 and use the pre-supplied Helios update site to install Jgit and Egit 0.7.1 without problems under Linux 32 bit.

Under Windows, the Helios 3.6M7 bundles are not currently available, but you can install either the 3.6M6 or 3.6M7 32 bit Eclipse SDK without problems, You can then use the pre-supplied Helios update site to install Jgit and Egit 0.7.1. I tested all these scenarios this morning and found them to all work.

My guess is that you may have tried to update a combination of packages at the same time and may have run into a packaging issue.
Re: Installation (dependency) problem under Eclipse 3.6 [message #533714 is a reply to message #532337] Sat, 15 May 2010 19:52 Go to previous message
Matthias Sohn is currently offline Matthias Sohn
Messages: 546
Registered: July 2009
Senior Member
This problem is fixed by http://egit.eclipse.org/r/#change,674.
This change has been merged into master on May 10.
Previous Topic:EGit push to GitHub freezes
Next Topic:Installation (dependency) problem under Eclipse 3.6
Goto Forum:
  


Current Time: Tue Jul 29 02:58:05 EDT 2014

Powered by FUDForum. Page generated in 0.02010 seconds